SchemaValidation.SchemaValidationType (Apache CXF JavaDoc 4.1.6 API)
Description: declaration: package: org.apache.cxf.annotations, annotation type: SchemaValidation, enum: SchemaValidationType

Package org.apache.cxf.annotations

# Enum Class SchemaValidation.SchemaValidationType

java.lang.Object
java.lang.Enum<SchemaValidation.SchemaValidationType>
org.apache.cxf.annotations.SchemaValidation.SchemaValidationType

All Implemented Interfaces:
  `Serializable`, `Comparable<SchemaValidation.SchemaValidationType>`, `Constable`

Enclosing class:
  SchemaValidation

public static enum SchemaValidation.SchemaValidationType extends Enum<SchemaValidation.SchemaValidationType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTH`
  `IN`
  `NONE`
  `OUT`
  `REQUEST`
  `RESPONSE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SchemaValidation.SchemaValidationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SchemaValidation.SchemaValidationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IN

    public static final SchemaValidation.SchemaValidationType IN

  - ### REQUEST

    public static final SchemaValidation.SchemaValidationType REQUEST

  - ### OUT

    public static final SchemaValidation.SchemaValidationType OUT

  - ### RESPONSE

    public static final SchemaValidation.SchemaValidationType RESPONSE

  - ### BOTH

    public static final SchemaValidation.SchemaValidationType BOTH

  - ### NONE

    public static final SchemaValidation.SchemaValidationType NONE

- ## Method Details

  - ### values

    public static SchemaValidation.SchemaValidationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SchemaValidation.SchemaValidationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null